Subject: Re: [PATCH 4/4 v2] [POWERPC] Kilauea defconfig file

From: Scott Wood <[email-masked]>
Date: Thu, 11 Oct 2007 15:12:32 -0500

On Thu, Oct 11, 2007 at 03:31:12PM +0200, Stefan Roese wrote:
> Yes, good catch. Since I'm not using the bootwrapper, I should be able to get 
> rid of WANT_DEVICE_TREE too. But it seems to be autoselected in 
> arch/powerpc/platforms/Kconfig.cputype for 40x and most other "embedded" 
> CPU's. Any idea why this is the case?

Probably copying from 83xx, 85xx, etc, which set it on the entire CPU family
because there's a wrapper platform that covers the entire family.  AFAICT,
there are only board wrappers for 4xx, so individual boards should be
selecting WANT_DEVICE_TREE.

In any case, you can just set DEVICE_TREE to an empty string if you only
want the regular uImage.

-Scott